Subject: Re: [PATCH] net: add ability to clear stats via ethtool - e1000/pcnet32

From: Alan Cox <[email-masked]>
Date: Sat, 31 May 2008 13:11:43 +0100

> When diagnosing network problems, the ability to zero counters is
> a major aid in diagnosis.  Writing scripts is not a general solution
> since often several systems are involved and it's not simple to do
> this via a script.  Saving stats output and running beforeafter on
> a number of systems is a royal pain when troubleshooting.

Zeroing them is not a general solution either - you break all the other
tools monitoring the same stats in parallel - like network usage monitors.

This is a user space tools problem, scripts or otherwise.

Alan